#! /usr/bin/make -f

export PYBUILD_NAME=betamax

# test_fixtures.py needs package already installed and remaining tests need
# Internet connection.
export PYBUILD_TEST_ARGS = --ignore tests/integration/test_fixtures.py \
	--ignore tests/integration/test_hooks.py \
	--ignore tests/integration/test_placeholders.py \
	--ignore tests/integration/test_record_modes.py \
	--ignore tests/integration/test_unicode.py \
	--ignore tests/regression/test_gzip_compression.py \
	--ignore tests/regression/test_requests_2_11_body_matcher.py \
	-k "not test_adds_stop_as_a_finalizer and not test_auto_starts_the_recorder"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	find .pybuild -type f -name test_cassette.test -delete
	dh_auto_install

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs/source/ \
		debian/python-betamax-doc/usr/share/doc/python-betamax-doc/html/
	dh_sphinxdoc
endif
